// program sino2tif


#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define INTEL

short	KDIMU, NANG, nlayer;
double	AXISU;

// total absorption
double	TAM, TASD;

static void	Error(msg)
char		*msg;
{
	fputs(msg,stderr); fputc('\n',stderr); exit(1);
}

/*----------------------------------------------------------------------*/

int	main(argc,argv)
int	argc;
char	**argv;
{
	int		i;

	FILE	*f;
	char	line[100];

	short	s_dum;
	double	d_dum;

//Ƃ肠

	if((f = fopen("sino.tmp","r")) == NULL){
		printf("can not open 'sino.tmp' for input\n");
		return(-10);
	}
	if ((i = (int)fgets(line, 100, f)) != 0){
		sscanf(line, "%d", &s_dum);
	} KDIMU=s_dum; //printf("%d\t", KDIMU);
	if ((i = (int)fgets(line, 100, f)) != 0){
		sscanf(line, "%d", &s_dum);
	} NANG=s_dum; //printf("%d\t", NANG);
	if ((i = (int)fgets(line, 100, f)) != 0){
		sscanf(line, "%d", &s_dum);
	} nlayer=s_dum; //printf("%d\t", nlayer);
	if ((i = (int)fgets(line, 100, f)) != 0){
		sscanf(line, "%lf", &d_dum);
	} AXISU=d_dum; //printf("%f\n", (float)AXISU);
	if ((i = (int)fgets(line, 100, f)) != 0){
		sscanf(line, "%lf", &d_dum);
	} TAM=d_dum;
	if ((i = (int)fgets(line, 100, f)) != 0){
		sscanf(line, "%lf", &d_dum);
	} TASD=d_dum;
	fclose(f);

				// ]S
	if (argc>1){
		AXISU = atof(argv[1]);
	}
	if (argc>2){
		NANG = atoi(argv[2]);
	}

	if((f = fopen("sino.tmp","w")) == NULL){
		printf("can not open 'sino.tmp' for output\n");
		return(-10);
	}
	fprintf(f, "%d\n", KDIMU);
	fprintf(f, "%d\n", NANG);
	fprintf(f, "%04d\n", nlayer);
	fprintf(f, "%f\n", AXISU);
	fprintf(f, "%lf\n", TAM); // Mean of Total Absorption from sinogram
	fprintf(f, "%lf\n", TASD); // SD of Total Absorption from sinogram
	fclose(f);

	return 0;
}
